﻿using EJGrid.Models;
using Syncfusion.JavaScript.Web;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Sample
{
    public partial class GridUserControl : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack) { 
                this.FlatGrid.DataSource = OrderRepository.GetAllRecords().ToList();
                this.FlatGrid.DataBind();
            }
            
            
        }
        protected void FlatGrid_ServerRowSelected(object sender, GridEventArgs e)
        {
            int selectedrowindex = Convert.ToInt32(e.Arguments["rowIndex"]);
            int id;
            Dictionary<string, object> data = e.Arguments["data"] as Dictionary<string, object>;
            foreach (KeyValuePair<string, object> keyval in data)
            {
                if (keyval.Key == "EmployeeID")
                {
                    id = Convert.ToInt32(keyval.Value);
                    TextBox1.Text = id.ToString();
                }
            }
            
        }
    }
}